> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pinkfish.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# trello-checklists

> Trello Checklists - Checklists, labels, and custom fields

**Server path:** `/trello-checklists` | **Type:** Application | **PCID required:** Yes

## Tools

| Tool                                                                                                                                      | Description                            |
| ----------------------------------------------------------------------------------------------------------------------------------------- | -------------------------------------- |
| [`trello_checklists_delete_customfields_id`](#trello_checklists_delete_customfields_id)                                                   | Delete a Custom Field definition       |
| [`trello_checklists_delete_customfields_options_idcustomfieldoption`](#trello_checklists_delete_customfields_options_idcustomfieldoption) | Delete Option of Custom Field dropdown |
| [`trello_checklists_delete_id`](#trello_checklists_delete_id)                                                                             | Delete a Checklist                     |
| [`trello_checklists_delete_id_checkitems_idcheckitem`](#trello_checklists_delete_id_checkitems_idcheckitem)                               | Delete Checkitem from Checklist        |
| [`trello_checklists_delete_labels_id`](#trello_checklists_delete_labels_id)                                                               | Delete a Label                         |
| [`trello_checklists_get_customfields_id`](#trello_checklists_get_customfields_id)                                                         | Get a Custom Field                     |
| [`trello_checklists_get_customfields_id_options`](#trello_checklists_get_customfields_id_options)                                         | Add Option to Custom Field dropdown    |
| [`trello_checklists_get_customfields_options_idcustomfieldoption`](#trello_checklists_get_customfields_options_idcustomfieldoption)       | Get Option of Custom Field dropdown    |
| [`trello_checklists_get_id`](#trello_checklists_get_id)                                                                                   | Get a Checklist                        |
| [`trello_checklists_get_id_board`](#trello_checklists_get_id_board)                                                                       | Get the Board the Checklist is on      |
| [`trello_checklists_get_id_cards`](#trello_checklists_get_id_cards)                                                                       | Get the Card a Checklist is on         |
| [`trello_checklists_get_id_checkitems`](#trello_checklists_get_id_checkitems)                                                             | Get Checkitems on a Checklist          |
| [`trello_checklists_get_id_checkitems_idcheckitem`](#trello_checklists_get_id_checkitems_idcheckitem)                                     | Get a Checkitem on a Checklist         |
| [`trello_checklists_get_id_field`](#trello_checklists_get_id_field)                                                                       | Get field on a Checklist               |
| [`trello_checklists_get_labels_id`](#trello_checklists_get_labels_id)                                                                     | Get a Label                            |
| [`trello_checklists_post_checklists`](#trello_checklists_post_checklists)                                                                 | Create a Checklist                     |
| [`trello_checklists_post_customfields`](#trello_checklists_post_customfields)                                                             | Create a new Custom Field on a Board   |
| [`trello_checklists_post_customfields_id_options`](#trello_checklists_post_customfields_id_options)                                       | Get Options of Custom Field drop down  |
| [`trello_checklists_post_id_checkitems`](#trello_checklists_post_id_checkitems)                                                           | Create Checkitem on Checklist          |
| [`trello_checklists_post_labels`](#trello_checklists_post_labels)                                                                         | Create a Label                         |
| [`trello_checklists_put_checlists_id`](#trello_checklists_put_checlists_id)                                                               | Update a Checklist                     |
| [`trello_checklists_put_customfields_id`](#trello_checklists_put_customfields_id)                                                         | Update a Custom Field definition       |
| [`trello_checklists_put_id_field`](#trello_checklists_put_id_field)                                                                       | Update field on a Checklist            |
| [`trello_checklists_put_labels_id`](#trello_checklists_put_labels_id)                                                                     | Update a Label                         |
| [`trello_checklists_put_labels_id_field`](#trello_checklists_put_labels_id_field)                                                         | Update a field on a label              |

***

## trello\_checklists\_delete\_customfields\_id

Delete a Custom Field definition

**Parameters:**

| Parameter | Type   | Required | Default | Description             |
| --------- | ------ | -------- | ------- | ----------------------- |
| `id`      | string | Yes      | —       | ID of the Custom Field. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "string",
        "description": "ID of the Custom Field."
      }
    },
    "required": [
      "PCID",
      "id"
    ]
  }
  ```
</Expandable>

***

## trello\_checklists\_delete\_customfields\_options\_idcustomfieldoption

Delete Option of Custom Field dropdown

**Parameters:**

| Parameter             | Type   | Required | Default | Description                              |
| --------------------- | ------ | -------- | ------- | ---------------------------------------- |
| `id`                  | string | Yes      | —       | ID of the customfielditem.               |
| `idCustomFieldOption` | string | Yes      | —       | ID of the customfieldoption to retrieve. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "string",
        "description": "ID of the customfielditem."
      },
      "idCustomFieldOption": {
        "type": "string",
        "description": "ID of the customfieldoption to retrieve."
      }
    },
    "required": [
      "PCID",
      "id",
      "idCustomFieldOption"
    ]
  }
  ```
</Expandable>

***

## trello\_checklists\_delete\_id

Delete a Checklist

**Parameters:**

| Parameter | Type   | Required | Default | Description        |
| --------- | ------ | -------- | ------- | ------------------ |
| `id`      | string | Yes      | —       | ID of a checklist. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "string",
        "description": "ID of a checklist."
      }
    },
    "required": [
      "PCID",
      "id"
    ]
  }
  ```
</Expandable>

***

## trello\_checklists\_delete\_id\_checkitems\_idcheckitem

Delete Checkitem from Checklist

**Parameters:**

| Parameter     | Type   | Required | Default | Description                       |
| ------------- | ------ | -------- | ------- | --------------------------------- |
| `id`          | string | Yes      | —       | ID of a checklist.                |
| `idCheckItem` | string | Yes      | —       | ID of the check item to retrieve. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "string",
        "description": "ID of a checklist."
      },
      "idCheckItem": {
        "type": "string",
        "description": "ID of the check item to retrieve."
      }
    },
    "required": [
      "PCID",
      "id",
      "idCheckItem"
    ]
  }
  ```
</Expandable>

***

## trello\_checklists\_delete\_labels\_id

Delete a Label

**Parameters:**

| Parameter | Type   | Required | Default | Description         |
| --------- | ------ | -------- | ------- | ------------------- |
| `id`      | string | Yes      | —       | The ID of the Label |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "string",
        "description": "The ID of the Label"
      }
    },
    "required": [
      "PCID",
      "id"
    ]
  }
  ```
</Expandable>

***

## trello\_checklists\_get\_customfields\_id

Get a Custom Field

**Parameters:**

| Parameter | Type   | Required | Default | Description             |
| --------- | ------ | -------- | ------- | ----------------------- |
| `id`      | string | Yes      | —       | ID of the Custom Field. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "string",
        "description": "ID of the Custom Field."
      }
    },
    "required": [
      "PCID",
      "id"
    ]
  }
  ```
</Expandable>

***

## trello\_checklists\_get\_customfields\_id\_options

Add Option to Custom Field dropdown

**Parameters:**

| Parameter | Type   | Required | Default | Description            |
| --------- | ------ | -------- | ------- | ---------------------- |
| `id`      | string | Yes      | —       | ID of the customfield. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "string",
        "description": "ID of the customfield."
      }
    },
    "required": [
      "PCID",
      "id"
    ]
  }
  ```
</Expandable>

***

## trello\_checklists\_get\_customfields\_options\_idcustomfieldoption

Get Option of Custom Field dropdown

**Parameters:**

| Parameter             | Type   | Required | Default | Description                              |
| --------------------- | ------ | -------- | ------- | ---------------------------------------- |
| `id`                  | string | Yes      | —       | ID of the customfielditem.               |
| `idCustomFieldOption` | string | Yes      | —       | ID of the customfieldoption to retrieve. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "string",
        "description": "ID of the customfielditem."
      },
      "idCustomFieldOption": {
        "type": "string",
        "description": "ID of the customfieldoption to retrieve."
      }
    },
    "required": [
      "PCID",
      "id",
      "idCustomFieldOption"
    ]
  }
  ```
</Expandable>

***

## trello\_checklists\_get\_id

Get a Checklist

**Parameters:**

| Parameter          | Type   | Required | Default | Description                                                                                                                                                                              |
| ------------------ | ------ | -------- | ------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `id`               | string | Yes      | —       | ID of a checklist.                                                                                                                                                                       |
| `cards`            | string | No       | —       | Valid values: `all`, `closed`, `none`, `open`, `visible`. Cards is a nested resource. The additional query params available are documented at Cards Nested Resource.                     |
| `checkItems`       | string | No       | —       | The check items on the list to return. One of: `all`, `none`.                                                                                                                            |
| `checkItem_fields` | string | No       | —       | The fields on the checkItem to return if checkItems are being returned. `all` or a comma-separated list of: `name`, `nameData`, `pos`, `state`, `type`, `due`, `dueReminder`, `idMember` |
| `fields`           | string | No       | —       | `all` or a comma-separated list of checklist fields                                                                                                                                      |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "string",
        "description": "ID of a checklist."
      },
      "cards": {
        "type": "string",
        "description": "Valid values: `all`, `closed`, `none`, `open`, `visible`. Cards is a nested resource. The additional query params available are documented at [Cards Nested Resource](/cloud/trello/guides/rest-api/nested-resources/#cards-nested-resource).",
        "enum": [
          "all",
          "closed",
          "none",
          "open",
          "visible"
        ]
      },
      "checkItems": {
        "type": "string",
        "description": "The check items on the list to return. One of: `all`, `none`.",
        "enum": [
          "all",
          "none"
        ]
      },
      "checkItem_fields": {
        "type": "string",
        "description": "The fields on the checkItem to return if checkItems are being returned. `all` or a comma-separated list of: `name`, `nameData`, `pos`, `state`, `type`, `due`, `dueReminder`, `idMember`"
      },
      "fields": {
        "type": "string",
        "description": "`all` or a comma-separated list of checklist [fields](/cloud/trello/guides/rest-api/object-definitions/)"
      }
    },
    "required": [
      "PCID",
      "id"
    ]
  }
  ```
</Expandable>

***

## trello\_checklists\_get\_id\_board

Get the Board the Checklist is on

**Parameters:**

| Parameter | Type   | Required | Default | Description                                     |
| --------- | ------ | -------- | ------- | ----------------------------------------------- |
| `id`      | string | Yes      | —       | ID of a checklist.                              |
| `fields`  | string | No       | —       | `all` or a comma-separated list of board fields |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "string",
        "description": "ID of a checklist."
      },
      "fields": {
        "type": "string",
        "description": "`all` or a comma-separated list of board [fields](/cloud/trello/guides/rest-api/object-definitions/)"
      }
    },
    "required": [
      "PCID",
      "id"
    ]
  }
  ```
</Expandable>

***

## trello\_checklists\_get\_id\_cards

Get the Card a Checklist is on

**Parameters:**

| Parameter | Type   | Required | Default | Description        |
| --------- | ------ | -------- | ------- | ------------------ |
| `id`      | string | Yes      | —       | ID of a checklist. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "string",
        "description": "ID of a checklist."
      }
    },
    "required": [
      "PCID",
      "id"
    ]
  }
  ```
</Expandable>

***

## trello\_checklists\_get\_id\_checkitems

Get Checkitems on a Checklist

**Parameters:**

| Parameter | Type   | Required | Default | Description                                                                                 |
| --------- | ------ | -------- | ------- | ------------------------------------------------------------------------------------------- |
| `id`      | string | Yes      | —       | ID of a checklist.                                                                          |
| `filter`  | string | No       | —       | One of: `all`, `none`.                                                                      |
| `fields`  | string | No       | —       | One of: `all`, `name`, `nameData`, `pos`, `state`,`type`, `due`, `dueReminder`, `idMember`. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "string",
        "description": "ID of a checklist."
      },
      "filter": {
        "type": "string",
        "description": "One of: `all`, `none`.",
        "enum": [
          "all",
          "none"
        ]
      },
      "fields": {
        "type": "string",
        "description": "One of: `all`, `name`, `nameData`, `pos`, `state`,`type`, `due`, `dueReminder`, `idMember`."
      }
    },
    "required": [
      "PCID",
      "id"
    ]
  }
  ```
</Expandable>

***

## trello\_checklists\_get\_id\_checkitems\_idcheckitem

Get a Checkitem on a Checklist

**Parameters:**

| Parameter     | Type   | Required | Default | Description                                                                                   |
| ------------- | ------ | -------- | ------- | --------------------------------------------------------------------------------------------- |
| `id`          | string | Yes      | —       | ID of a checklist.                                                                            |
| `idCheckItem` | string | Yes      | —       | ID of the check item to retrieve.                                                             |
| `fields`      | string | No       | —       | One of: `all`, `name`, `nameData`, `pos`, `state`, `type`, `due`, `dueReminder`, `idMember`,. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "string",
        "description": "ID of a checklist."
      },
      "idCheckItem": {
        "type": "string",
        "description": "ID of the check item to retrieve."
      },
      "fields": {
        "type": "string",
        "description": "One of: `all`, `name`, `nameData`, `pos`, `state`, `type`, `due`, `dueReminder`, `idMember`,."
      }
    },
    "required": [
      "PCID",
      "id",
      "idCheckItem"
    ]
  }
  ```
</Expandable>

***

## trello\_checklists\_get\_id\_field

Get field on a Checklist

**Parameters:**

| Parameter | Type   | Required | Default | Description        |
| --------- | ------ | -------- | ------- | ------------------ |
| `id`      | string | Yes      | —       | ID of a checklist. |
| `field`   | string | Yes      | —       | Field to update.   |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "string",
        "description": "ID of a checklist."
      },
      "field": {
        "type": "string",
        "description": "Field to update.",
        "enum": [
          "name",
          "pos"
        ]
      }
    },
    "required": [
      "PCID",
      "id",
      "field"
    ]
  }
  ```
</Expandable>

***

## trello\_checklists\_get\_labels\_id

Get a Label

**Parameters:**

| Parameter | Type   | Required | Default | Description                             |
| --------- | ------ | -------- | ------- | --------------------------------------- |
| `id`      | string | Yes      | —       | The ID of the Label                     |
| `fields`  | string | No       | —       | all or a comma-separated list of fields |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "string",
        "description": "The ID of the Label"
      },
      "fields": {
        "type": "string",
        "description": "all or a comma-separated list of [fields](/cloud/trello/guides/rest-api/object-definitions/)"
      }
    },
    "required": [
      "PCID",
      "id"
    ]
  }
  ```
</Expandable>

***

## trello\_checklists\_post\_checklists

Create a Checklist

**Parameters:**

| Parameter           | Type   | Required | Default | Description                                                                               |
| ------------------- | ------ | -------- | ------- | ----------------------------------------------------------------------------------------- |
| `idCard`            | string | Yes      | —       | The ID of the Card that the checklist should be added to.                                 |
| `name`              | string | No       | —       | The name of the checklist. Should be a string of length 1 to 16384.                       |
| `pos`               | string | No       | —       | The position of the checklist on the card. One of: `top`, `bottom`, or a positive number. |
| `idChecklistSource` | string | No       | —       | The ID of a checklist to copy into the new checklist.                                     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "idCard": {
        "type": "string",
        "description": "The ID of the Card that the checklist should be added to."
      },
      "name": {
        "type": "string",
        "description": "The name of the checklist. Should be a string of length 1 to 16384."
      },
      "pos": {
        "type": "string",
        "description": "The position of the checklist on the card. One of: `top`, `bottom`, or a positive number."
      },
      "idChecklistSource": {
        "type": "string",
        "description": "The ID of a checklist to copy into the new checklist."
      }
    },
    "required": [
      "PCID",
      "idCard"
    ]
  }
  ```
</Expandable>

***

## trello\_checklists\_post\_customfields

Create a new Custom Field on a Board

**Parameters:**

| Parameter           | Type    | Required | Default | Description                                                                                 |
| ------------------- | ------- | -------- | ------- | ------------------------------------------------------------------------------------------- |
| `display_cardFront` | boolean | No       | —       | Whether this Custom Field should be shown on the front of Cards                             |
| `idModel`           | string  | Yes      | —       | Id Model                                                                                    |
| `modelType`         | string  | Yes      | —       | The type of model that the Custom Field is being defined on. This should always be `board`. |
| `name`              | string  | Yes      | —       | The name of the Custom Field                                                                |
| `options`           | string  | No       | —       | If the type is `checkbox`                                                                   |
| `pos`               | string  | Yes      | —       | The pos value                                                                               |
| `type`              | string  | Yes      | —       | The type of Custom Field to create.                                                         |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "display_cardFront": {
        "type": "boolean",
        "description": "Whether this Custom Field should be shown on the front of Cards"
      },
      "idModel": {
        "type": "string",
        "description": "Id Model"
      },
      "modelType": {
        "type": "string",
        "description": "The type of model that the Custom Field is being defined on. This should always be `board`.",
        "enum": [
          "board"
        ]
      },
      "name": {
        "type": "string",
        "description": "The name of the Custom Field"
      },
      "options": {
        "type": "string",
        "description": "If the type is `checkbox`"
      },
      "pos": {
        "type": "string",
        "description": "The pos value"
      },
      "type": {
        "type": "string",
        "description": "The type of Custom Field to create.",
        "enum": [
          "checkbox",
          "list",
          "number",
          "text",
          "date"
        ]
      }
    },
    "required": [
      "PCID",
      "idModel",
      "modelType",
      "name",
      "pos",
      "type"
    ]
  }
  ```
</Expandable>

***

## trello\_checklists\_post\_customfields\_id\_options

Get Options of Custom Field drop down

**Parameters:**

| Parameter | Type   | Required | Default | Description            |
| --------- | ------ | -------- | ------- | ---------------------- |
| `id`      | string | Yes      | —       | ID of the customfield. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "string",
        "description": "ID of the customfield."
      }
    },
    "required": [
      "PCID",
      "id"
    ]
  }
  ```
</Expandable>

***

## trello\_checklists\_post\_id\_checkitems

Create Checkitem on Checklist

**Parameters:**

| Parameter     | Type    | Required | Default | Description                                                                                     |
| ------------- | ------- | -------- | ------- | ----------------------------------------------------------------------------------------------- |
| `id`          | string  | Yes      | —       | ID of a checklist.                                                                              |
| `name`        | string  | Yes      | —       | The name of the new check item on the checklist. Should be a string of length 1 to 16384.       |
| `pos`         | object  | No       | —       | The position of the check item in the checklist. One of: `top`, `bottom`, or a positive number. |
| `checked`     | boolean | No       | —       | Determines whether the check item is already checked when created.                              |
| `due`         | string  | No       | —       | A due date for the checkitem                                                                    |
| `dueReminder` | number  | No       | —       | A dueReminder for the due date on the checkitem                                                 |
| `idMember`    | string  | No       | —       | An ID of a member resource.                                                                     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "string",
        "description": "ID of a checklist."
      },
      "name": {
        "type": "string",
        "description": "The name of the new check item on the checklist. Should be a string of length 1 to 16384."
      },
      "pos": {
        "description": "The position of the check item in the checklist. One of: `top`, `bottom`, or a positive number."
      },
      "checked": {
        "type": "boolean",
        "description": "Determines whether the check item is already checked when created."
      },
      "due": {
        "type": "string",
        "description": "A due date for the checkitem"
      },
      "dueReminder": {
        "type": "number",
        "description": "A dueReminder for the due date on the checkitem"
      },
      "idMember": {
        "type": "string",
        "description": "An ID of a member resource."
      }
    },
    "required": [
      "PCID",
      "id",
      "name"
    ]
  }
  ```
</Expandable>

***

## trello\_checklists\_post\_labels

Create a Label

**Parameters:**

| Parameter | Type   | Required | Default | Description                                 |
| --------- | ------ | -------- | ------- | ------------------------------------------- |
| `name`    | string | Yes      | —       | Name for the label                          |
| `color`   | string | Yes      | —       | The color for the label.                    |
| `idBoard` | string | Yes      | —       | The ID of the Board to create the Label on. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "name": {
        "type": "string",
        "description": "Name for the label"
      },
      "color": {
        "type": "string",
        "description": "The color for the label.",
        "enum": [
          "yellow",
          "purple",
          "blue",
          "red",
          "green",
          "orange",
          "black",
          "sky",
          "pink",
          "lime"
        ]
      },
      "idBoard": {
        "type": "string",
        "description": "The ID of the Board to create the Label on."
      }
    },
    "required": [
      "PCID",
      "name",
      "color",
      "idBoard"
    ]
  }
  ```
</Expandable>

***

## trello\_checklists\_put\_checlists\_id

Update a Checklist

**Parameters:**

| Parameter | Type   | Required | Default | Description                                                                                          |
| --------- | ------ | -------- | ------- | ---------------------------------------------------------------------------------------------------- |
| `id`      | string | Yes      | —       | ID of a checklist.                                                                                   |
| `name`    | string | No       | —       | Name of the new checklist being created. Should be length of 1 to 16384.                             |
| `pos`     | string | No       | —       | Determines the position of the checklist on the card. One of: `top`, `bottom`, or a positive number. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "string",
        "description": "ID of a checklist."
      },
      "name": {
        "type": "string",
        "description": "Name of the new checklist being created. Should be length of 1 to 16384."
      },
      "pos": {
        "type": "string",
        "description": "Determines the position of the checklist on the card. One of: `top`, `bottom`, or a positive number."
      }
    },
    "required": [
      "PCID",
      "id"
    ]
  }
  ```
</Expandable>

***

## trello\_checklists\_put\_customfields\_id

Update a Custom Field definition

**Parameters:**

| Parameter           | Type    | Required | Default | Description                                                |
| ------------------- | ------- | -------- | ------- | ---------------------------------------------------------- |
| `id`                | string  | Yes      | —       | ID of the Custom Field.                                    |
| `display/cardFront` | boolean | No       | —       | Whether to display this custom field on the front of cards |
| `name`              | string  | No       | —       | The name of the Custom Field                               |
| `pos`               | string  | No       | —       | Position: top, bottom, or a positive float                 |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "string",
        "description": "ID of the Custom Field."
      },
      "display/cardFront": {
        "type": "boolean",
        "description": "Whether to display this custom field on the front of cards"
      },
      "name": {
        "type": "string",
        "description": "The name of the Custom Field"
      },
      "pos": {
        "type": "string",
        "description": "Position: top, bottom, or a positive float"
      }
    },
    "required": [
      "PCID",
      "id"
    ]
  }
  ```
</Expandable>

***

## trello\_checklists\_put\_id\_field

Update field on a Checklist

**Parameters:**

| Parameter | Type   | Required | Default | Description                                                                         |
| --------- | ------ | -------- | ------- | ----------------------------------------------------------------------------------- |
| `id`      | string | Yes      | —       | ID of a checklist.                                                                  |
| `field`   | string | Yes      | —       | Field to update.                                                                    |
| `value`   | object | Yes      | —       | The value to change the checklist name to. Should be a string of length 1 to 16384. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "string",
        "description": "ID of a checklist."
      },
      "field": {
        "type": "string",
        "description": "Field to update.",
        "enum": [
          "name",
          "pos"
        ]
      },
      "value": {
        "description": "The value to change the checklist name to. Should be a string of length 1 to 16384."
      }
    },
    "required": [
      "PCID",
      "id",
      "field",
      "value"
    ]
  }
  ```
</Expandable>

***

## trello\_checklists\_put\_labels\_id

Update a Label

**Parameters:**

| Parameter | Type   | Required | Default | Description                                                |
| --------- | ------ | -------- | ------- | ---------------------------------------------------------- |
| `id`      | string | Yes      | —       | The ID of the Label                                        |
| `name`    | string | No       | —       | The new name for the label                                 |
| `color`   | string | No       | —       | The new color for the label. See: fields for color options |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "string",
        "description": "The ID of the Label"
      },
      "name": {
        "type": "string",
        "description": "The new name for the label"
      },
      "color": {
        "type": "string",
        "description": "The new color for the label. See: [fields](/cloud/trello/guides/rest-api/object-definitions/) for color options",
        "enum": [
          "yellow",
          "purple",
          "blue",
          "red",
          "green",
          "orange",
          "black",
          "sky",
          "pink",
          "lime"
        ]
      }
    },
    "required": [
      "PCID",
      "id"
    ]
  }
  ```
</Expandable>

***

## trello\_checklists\_put\_labels\_id\_field

Update a field on a label

**Parameters:**

| Parameter | Type   | Required | Default | Description                       |
| --------- | ------ | -------- | ------- | --------------------------------- |
| `id`      | string | Yes      | —       | The id of the label               |
| `field`   | string | Yes      | —       | The field on the Label to update. |
| `value`   | string | Yes      | —       | The new value for the field.      |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "string",
        "description": "The id of the label"
      },
      "field": {
        "type": "string",
        "description": "The field on the Label to update.",
        "enum": [
          "color",
          "name"
        ]
      },
      "value": {
        "type": "string",
        "description": "The new value for the field."
      }
    },
    "required": [
      "PCID",
      "id",
      "field",
      "value"
    ]
  }
  ```
</Expandable>
